#ifndef TMHistogrammingPixelMultiplicityChip_H
#define TMHistogrammingPixelMultiplicityChip_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingPixelMultiplicityChip : public TMHistogramming {
 public:
  TMHistogrammingPixelMultiplicityChip();
  virtual ~TMHistogrammingPixelMultiplicityChip();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void RebinHistos();

 protected:

  TH1F   *fHistTotal;
  TH1F   *fHistInner;
  TH1F   *fHistOuter;

  UInt_t fTotalHits[20][6][10];

  Int_t  fRangeX;

};

#endif
